import { test } from '@playwright/test';
import { consola } from 'consola';

test('页面加载正常', async ({ page }, testInfo) => {
  await page.goto('/Home');
  consola.info(`page.url() === ${page.url()}`);

  // await expect(page.getByRole('link', { name: '中文-页面.page.vue' })).toBeVisible();

  // 截图并将其附加到测试结果
  await testInfo.attach('screenshot', { body: await page.screenshot({ fullPage: true }), contentType: 'image/png' });

  // 查找包含"commit:"文本的元素
  const commitElement = page.locator('text=commit:').first();
  // 获取元素的文本内容
  const innerText = await commitElement.textContent();
  consola.debug(`Commit 文本内容: "${innerText}"`);
});
